Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.bpmn2
Class HumanTaskGetInformationHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler
              org.jbpm.bpmn2.xml.TaskHandler
                  org.jbpm.bpmn2.xml.UserTaskHandler
                      org.jbpm.kie.services.impl.bpmn2.HumanTaskGetInformationHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    public class HumanTaskGetInformationHandler

extends UserTaskHandler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`HumanTaskGetInformationHandler()` Creates a new `HumanTaskGetInformationHandler` instance.
`HumanTaskGetInformationHandler(BPMN2DataServiceSemanticModule module)`

Method Summary
`protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
`protected void` | `readIoSpecification(Node xmlNode, Map<String,String> dataInputs, Map<String,String> dataOutputs)` Reads the io specification and put the information in the `HumanTaskRepository`.
`protected String` | `readPotentialOwner(Node xmlNode, HumanTaskNode humanTaskNode)`
`void` | `setRepository(ProcessDescriptionRepository repository)`

Methods inherited from class org.jbpm.bpmn2.xml.UserTaskHandler
`createNode, generateNodeFor, writeIO, writeNode`

Methods inherited from class org.jbpm.bpmn2.xml.TaskHandler
`end, getTaskName, handleForEachNode, readDataInputAssociation, readDataOutputAssociation`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### HumanTaskGetInformationHandler

    public HumanTaskGetInformationHandler()

  Creates a new `HumanTaskGetInformationHandler` instance.

  Parameters:
    `humanTaskRepository` - the `HumanTaskRepository`.

### HumanTaskGetInformationHandler

    public HumanTaskGetInformationHandler(BPMN2DataServiceSemanticModule module)

Method Detail

### readIoSpecification

    protected void readIoSpecification(Node xmlNode,
                                       Map<String,String> dataInputs,
                                       Map<String,String> dataOutputs)

  Reads the io specification and put the information in the `HumanTaskRepository`.

  Overrides:
    `readIoSpecification` in class `AbstractNodeHandler`

### handleNode

    protected void handleNode(Node node,
                              Element element,
                              String uri,
                              String localName,
                              org.drools.core.xml.ExtensibleXmlParser parser)
                       throws SAXException

  Overrides:
    `handleNode` in class `UserTaskHandler`
  Throws:
    `SAXException`

### readPotentialOwner

    protected String readPotentialOwner(Node xmlNode,
                                        HumanTaskNode humanTaskNode)

  Overrides:
    `readPotentialOwner` in class `UserTaskHandler`

### setRepository

    public void setRepository(ProcessDescriptionRepository repository)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.